import React, { useState, useCallback } from 'react';
import ReactDOM from 'react-dom';
import {csv} from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/sofia-martinovich/bd0990515d0134749ff488a17adbb1ce/raw/2cdc5c5b0d1d1f7e7d55dfe943b93eeca76d75ea/SlumPopulation.csv';

const width = 960;
const height = 500;

const message = data => {
 let message = '';
 message = message + Math.round(d3.csvFormat(data).length / 1024) + ' kB\n';
 message = message + data.length + ' rows\n';
 message = message + data.columns.length + ' columns';
 return message;
}


const App = () => {
const [data, setData] = useState (null);

csv(csvUrl).then(data => {
  setData(data);	
});
  
  return <pre>Data is {data ? message(data) : 'loading'};</pre>
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);